using System;

namespace ReflectionIT.Common.Windows.Forms
{
	/// <summary>
	/// DualListActionCancelEventArgs used to Cancel or Change a DualList BeforeAction event
	/// </summary>
	public class DualListActionCancelEventArgs : System.ComponentModel.CancelEventArgs
	{
		protected DualListAction mAction;
		protected Object mItem;

		public DualListActionCancelEventArgs(DualListAction action, Object item)
		{
			mAction = action;
			mItem = item;
			this.Cancel = false;
		}

		public virtual DualListAction Action
		{
			get { return mAction; }
		}

		public virtual Object Item
		{
			get { return mItem; }
			set { mItem = value; }
		}
	}
}
